
Katello - Bug #23649

Upgrade after Mongo 3.x is installed fails out on remove_nodes_distributors

05/18/2018 08:02 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Chris Roberts   

Category: Upgrades   

Target version: Katello 3.7.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.6.0

Bugzilla link: 1579954 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/633

  

Description

foreman-rake db:migrate finished successfully!

Upgrade Step: remove_nodes_distributors...

sh: mongo: command not found

mongo pulp_database --eval  'db.repo_distributors.remove({'distributor_type_id': "nodes_http_distributor"});' failed! Check the output

for error!

Upgrade step remove_nodes_distributors failed. Check logs for more information.

Associated revisions

Revision 3049c5f3 - 05/20/2018 07:29 PM - Chris Roberts

Fixes #23649 - remove pulp node pre upgrade steps

History

#1 - 05/18/2018 08:17 PM - Chris Roberts

- Bugzilla link set to 1579954

After talking to Justin these are no longer needed

<jsherrill> someone would have to be upgrading from 6.1 -> 6.4 for it to matter

#2 - 05/18/2018 09:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/633 added

#3 - 05/20/2018 08:01 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|3049c5f359ebbde52e62d6194bcddcac9fd67989.

#4 - 05/23/2018 02:17 PM - Eric Helms

- translation missing: en.field_release set to 338

#5 - 07/12/2018 02:54 PM - Greg Sutcliffe

- Triaged set to No

- Found in Releases Katello 3.6.0 added
